Package de.tudresden.sumo.util

## Class SumoCommand

- java.lang.Object
- - de.tudresden.sumo.util.SumoCommand

-     public class SumoCommand
      extends Object

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `input1` |
    `int` | `input2` |
    `LinkedList<Object>` | `raw` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoCommand​(int input1, int input2)` |
    `SumoCommand​(int input1, int input2, Object[] array, int response, int output_type)` |
    `SumoCommand​(int input1, int input2, Object input3, int response, int output_type)` |
    `SumoCommand​(int input1, int input2, Object input3, int response, int output_type, String info)` |
    `SumoCommand​(int input1, int input2, Object input3, Object input)` |
    `SumoCommand​(int input1, int input2, Object input3, Object[] array)` |
    `SumoCommand​(int input1, int input2, Object input3, Object[] array, int response, int output_type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Command` | `get_command()` |
    `Object[]` | `get_raw()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### raw

          public LinkedList<Object> raw

    - #### input1

          public int input1

    - #### input2

          public int input2

  - ### Constructor Detail

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object input3,
                             int response,
                             int output_type)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object input3,
                             int response,
                             int output_type,
                             String info)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object input3,
                             Object[] array,
                             int response,
                             int output_type)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object input3,
                             Object[] array)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object input3,
                             Object input)

    - #### SumoCommand

          public SumoCommand​(int input1,
                             int input2,
                             Object[] array,
                             int response,
                             int output_type)

  - ### Method Detail

    - #### get_raw

          public Object[] get_raw()

    - #### get_command

          public Command get_command()